### A free/open-source library for quantitative finance

Public Types | Public Member Functions
FiniteDifferenceModel< Evolver > Class Template Reference
Finite-differences framework

Generic finite difference model. More...

`#include <ql/methods/finitedifferences/finitedifferencemodel.hpp>`

List of all members.

## Public Types

typedef Evolver::traits | traits
typedef traits::operator_type | operator_type
typedef traits::array_type | array_type
typedef traits::bc_set | bc_set
typedef traits::condition_type | condition_type

## Public Member Functions

| FiniteDifferenceModel (const operator_type &L, const bc_set &bcs, const std::vector< Time > &stoppingTimes=std::vector< Time >())
| FiniteDifferenceModel (const Evolver &evolver, const std::vector< Time > &stoppingTimes=std::vector< Time >())
const Evolver & | evolver () const
void | rollback (array_type &a, Time from, Time to, Size steps)
void | rollback (array_type &a, Time from, Time to, Size steps, const condition_type &condition)

## Detailed Description

### template<class Evolver>
class QuantLib::FiniteDifferenceModel< Evolver >

Generic finite difference model.

## Member Function Documentation

void rollback | ( | array_type & | a,
|  | Time | from,
|  | Time | to,
|  | Size | steps
| ) |  |

solves the problem between the given times.

Warning:
  being this a rollback, `from` must be a later time than `to`.

void rollback | ( | array_type & | a,
|  | Time | from,
|  | Time | to,
|  | Size | steps,
|  | const condition_type & | condition
| ) |  |

solves the problem between the given times, applying a condition at every step.

Warning:
  being this a rollback, `from` must be a later time than `to`.